Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.geomgraph.index
Class EdgeSetIntersector

    java.lang.Object
      com.vividsolutions.jts.geomgraph.index.EdgeSetIntersector

Direct Known Subclasses:
  SimpleEdgeSetIntersector, SimpleMCSweepLineIntersector, SimpleSweepLineIntersector

    public abstract class EdgeSetIntersector

extends java.lang.Object

An EdgeSetIntersector computes all the intersections between the edges in the set. It adds the computed intersections to each edge they are found on. It may be used in two scenarios:

- determining the internal intersections between a single set of edges
- determining the mutual intersections between two different sets of edges

It uses a `SegmentIntersector` to compute the intersections between segments and to record statistics about what kinds of intersections were found.

Version:
  1.7

Constructor Summary
`EdgeSetIntersector()`

Method Summary
`abstract void` | `computeIntersections(java.util.List edges0, java.util.List edges1, SegmentIntersector si)` Computes all mutual intersections between two sets of edges.
`abstract void` | `computeIntersections(java.util.List edges, SegmentIntersector si, boolean testAllSegments)` Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EdgeSetIntersector

    public EdgeSetIntersector()

Method Detail

### computeIntersections

    public abstract void computeIntersections(java.util.List edges,
                                              SegmentIntersector si,
                                              boolean testAllSegments)

  Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.

  Parameters:
    `edges` - a list of edges to test for intersections
    `si` - the SegmentIntersector to use
    `testAllSegments` - true if self-intersections are to be tested as well

### computeIntersections

    public abstract void computeIntersections(java.util.List edges0,
                                              java.util.List edges1,
                                              SegmentIntersector si)

  Computes all mutual intersections between two sets of edges.

Overview | Package | Class | Tree | Deprecated | Index | Help
| JTS Topology Suite version 1.13
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD